package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*评论表
* @author quyixiao
* @since 2025-10-20
*/

@Data
@TableName("vv_request_log")
public class VvRequestLogEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvRequestLogEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                               // 
    public final static String is_delete = CLASS_NAME + "is_delete";                  // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";              // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";              // 修改时间
    public final static String token_ = CLASS_NAME + "token";                         // token
    public final static String user_name = CLASS_NAME + "user_name";                  // 用户名
    public final static String uri_ = CLASS_NAME + "uri";                             // uri
    public final static String trace_id = CLASS_NAME + "trace_id";                    // 日志编号
    public final static String msg_send_time = CLASS_NAME + "msg_send_time";          // 消息发送时间
    public final static String exet_ = CLASS_NAME + "exet";                           // 时间
    public final static String params_ = CLASS_NAME + "params";                       // 参数
    public final static String buyer_id = CLASS_NAME + "buyer_id";                    // 买家id
    public final static String description_ = CLASS_NAME + "description";             // 描述
    public final static String create_timestamp = CLASS_NAME + "create_timestamp";    // 创建时间撮
    public final static String create_day = CLASS_NAME + "create_day";                // 创建日
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //token
    private String token;
    //用户名
    private String userName;
    //uri
    private String uri;
    //日志编号
    private String traceId;
    //消息发送时间
    private Long msgSendTime;
    //时间
    private Long exet;
    //参数
    private String params;
    //买家id
    private Long buyerId;
    //描述
    private String description;
    //创建时间撮
    private Long createTimestamp;
    //创建日
    private String createDay;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * token 
     * @return
     */
    public String getToken() {
        return token;
    }
    /**
     * token 
     * @param token
     */
    public void setToken(String token) {
        this.token = token;
    }

    /**
     * 用户名 
     * @return
     */
    public String getUserName() {
        return userName;
    }
    /**
     * 用户名 
     * @param userName
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * uri 
     * @return
     */
    public String getUri() {
        return uri;
    }
    /**
     * uri 
     * @param uri
     */
    public void setUri(String uri) {
        this.uri = uri;
    }

    /**
     * 日志编号 
     * @return
     */
    public String getTraceId() {
        return traceId;
    }
    /**
     * 日志编号 
     * @param traceId
     */
    public void setTraceId(String traceId) {
        this.traceId = traceId;
    }

    /**
     * 消息发送时间 
     * @return
     */
    public Long getMsgSendTime() {
        return msgSendTime;
    }
    /**
     * 消息发送时间 
     * @param msgSendTime
     */
    public void setMsgSendTime(Long msgSendTime) {
        this.msgSendTime = msgSendTime;
    }

    /**
     * 时间 
     * @return
     */
    public Long getExet() {
        return exet;
    }
    /**
     * 时间 
     * @param exet
     */
    public void setExet(Long exet) {
        this.exet = exet;
    }

    /**
     * 参数 
     * @return
     */
    public String getParams() {
        return params;
    }
    /**
     * 参数 
     * @param params
     */
    public void setParams(String params) {
        this.params = params;
    }

    /**
     * 买家id 
     * @return
     */
    public Long getBuyerId() {
        return buyerId;
    }
    /**
     * 买家id 
     * @param buyerId
     */
    public void setBuyerId(Long buyerId) {
        this.buyerId = buyerId;
    }

    /**
     * 描述 
     * @return
     */
    public String getDescription() {
        return description;
    }
    /**
     * 描述 
     * @param description
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * 创建时间撮 
     * @return
     */
    public Long getCreateTimestamp() {
        return createTimestamp;
    }
    /**
     * 创建时间撮 
     * @param createTimestamp
     */
    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    /**
     * 创建日 
     * @return
     */
    public String getCreateDay() {
        return createDay;
    }
    /**
     * 创建日 
     * @param createDay
     */
    public void setCreateDay(String createDay) {
        this.createDay = createDay;
    }

    @Override
    public String toString() {
        return "VvRequestLogEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",token=" + token +
                ",userName=" + userName +
                ",uri=" + uri +
                ",traceId=" + traceId +
                ",msgSendTime=" + msgSendTime +
                ",exet=" + exet +
                ",params=" + params +
                ",buyerId=" + buyerId +
                ",description=" + description +
                ",createTimestamp=" + createTimestamp +
                ",createDay=" + createDay +
                "}";
    }
}